/***********************************************                                                 
*   Firmware version: Toy_PLC_24V_input_Demo                       
*   autore:Marco Gottardo 
*   Data:09/12/2016
*   MCU: PIC16F876A                            
*   Piattaforma hardware: Micro-GT Toy PLC  
*   Piattaforma software: MPLAB X
*   Compilatore: HI-TECH C Compiler for PIC10/12/16 MCUs(Lite Mode) V9.70   
***********************************************/

#include <pic.h>
#include "delay.h"			// funzioni di ritardo
#include "settaggi.h"
#include "Micro-GT_lcd_4_bit.h"

bit cicla;
bit premuto;

void main(){
	settaggi();
    cicla=0;
    premuto=0;
    lcd_init();
        lcd_puts("G-Tronic Robotic");
        DelayS(1);
        lcd_clear();
        lcd_puts("Micro-GT Toy PLC");
        DelayS(1);
        lcd_clear();
        while (cicla==0){
        lcd_goto(0);  
        lcd_puts("premi un tasto  ");
        if (RB0==1 || RB1==1 || RB2==1 ||RB3==1 || RB4==1 || RB5==1 ||RB6==1 || RB7==1) cicla=1;
        }
    while (cicla) {
	   if (RB0==1 && premuto==0){
       lcd_goto(0);    
	   lcd_puts("RB0=1           ");
       premuto=1;
	  }

        
	if (RB1==1 && premuto==0){
        lcd_goto(0);  
	   lcd_puts("RB1=1           ");
       premuto=1;
	  }

       
	if (RB2==1 && premuto==0){
        lcd_goto(0);  
	   lcd_puts("RB2=1           ");
       premuto=1;
	  }

       
      if (RB3==1 && premuto==0){
          lcd_goto(0);  
	   lcd_puts("RB3=1           ");
       premuto=1;
	  }
       
       
       if (RB4==1 && premuto==0){
           lcd_goto(0);  
	   lcd_puts("RB4=1           ");
       premuto=1;
	  }
       
       if (RB5==1 && premuto==0){
           lcd_goto(0);  
	   lcd_puts("RB5=1           ");
       premuto=1;
	  }
       
       if (RB6==1 && premuto==0){
           lcd_goto(0);  
	   lcd_puts("RB6=1           ");
       premuto=1;
	  }

       if (RB7==1 && premuto==0){
           lcd_goto(0);  
	   lcd_puts("RB7=1           ");
       premuto=1;
	  }
       
       if (RB0==0 && RB1==0 && RB2==0 && RB3==0 && RB4==0 && RB5==0 && RB6==0 && RB7==0){
        premuto=0;     
        lcd_goto(0);  
        lcd_puts("premi un tasto  ");
       }
      CLRWDT();
   }
}
